0

I accidentally installed the wrong version of Google Play Services via an apk, and now it's crashing every 5 minutes and the Google apps don't work. I tried installing the apk for the right Google Play Services, but it won't install (I think it's because of the signature problems). The apk install screen just has an "x" saying "app not installed." I can't uninstall or disable the old/wrong play services.

Any solutions?

Thanks.


Maybe helpful information:

Nexus 4, CM 12.1

The correct version is -436, right?

  • Try downloading the latest gapps from XDA and flash this from recovery. Google play services will automatically update in the background. Don't install it manually. Main thread: XDA – Akhoy Jul 11 '15 at 4:48
  • I keep on getting an error message when flashing gapps: "E: footer is wrong E: signature verification failed Installation aborted." – Jason Yang Jul 11 '15 at 5:57
  • You might need to turn off signature verification in recovery. Refer here : starburstregional.wordpress.com/starburst-rom-home/resources/…. If even that is not working, install Philz or TWRP recovery and try flashing again. – Akhoy Jul 11 '15 at 6:23
  • I turned off signature verification in cwm and the gapps flashed fine, but when I rebooted, the old Google Play Services was still there. – Jason Yang Jul 11 '15 at 7:55
  • Did you clear cache and dalvik cache after flashing? – Akhoy Jul 11 '15 at 8:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.